Change log

API Change
Resource API GET and POST methods added for /notifications
Resource API notifications added to the GET /user method.
These will be returned only if associated data is requested for the user using querystring parameter associatedData = 1
Resource API Changes to the fields returned by GET /sessions
Resource API Start new charging session
  • Post to /sessions with cardReference and finalPageUrl along with other session details
  • Accept terms and conditions (if any) by posting to /legals with intent=session_start
  • If 3DSecure verification is not required then the session start response is directly returned to the /legals call
  • If 3DSecure verification is required then the authenticationUrl will be returned in the /legals call to be presented to the user
  • Once the 3DSecure journey is complete, the server redirects to finalPageUrl with the response in querystring
  • To verify or get the details of the session, use GET /sessions/{sessionReference}
Resource API Changes to /paymentCards/complete POST
  • This method returns only stored cardReference (sessionKey and sessionExpiryTime are no longer returned)
  • storeCard parameter is removed. Cards are now stored for all users (registered and guest users)
Resource API /paymentCards/verify removed
  • This method no longer exists
  • To verify if the card was stored correctly, use GET /paymentCards/{cardReference}